Bug 862 - Merged distribution menu misreferred to Mandrake
: Merged distribution menu misreferred to Mandrake
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/gnome-core)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-04-18 03:43 by
Modified: 2005-12-19 19:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-04-18 03:43:51
/etc/gnome/config/panel still contains:
[Merge]
directory=/usr/share/gnome/distribution-menus/Mandrake

Such a directory is not in gnome-core anymore, since it has been renamed to ALTLinux.

This is the lesser part of the problem (gnome-core 1.4 is a mess, isn\'t it?). In order for new menus to pick up after an upgrade that switches the dir from Mandrake to ALTLinux, the user has to update the symlink ~/.gnome/apps-mdk
forcefully. This necessity is due to the following dumb patch:

@@ -27,6 +30,11 @@
          \"gnome-debian.png\", \"/var/lib/gnome/Debian/.\",
          NULL, NULL
        },
+       { DISTRIBUTION_ALTLINUX, \"/etc/altlinux-release\",
+         N_(\"ALT Linux\"), N_(\"ALT Linux menus\"), \"mdk/helix-button-yellow.png\",+         \"apps-mdk\"/*GNOME_DATADIR \"/gnome/distribution-menus/ALTLinux/.\"*/,
+         mdk_menu_init_func, NULL
+       },
        { DISTRIBUTION_REDHAT, \"/etc/redhat-release\",
          N_(\"Red Hat Linux\"), N_(\"Red Hat menus\"), NULL,
          \"apps-redhat\",
@@ -116,5 +124,12 @@
 rh_menu_show_func (GtkWidget *menuw, GtkMenuItem *menuitem)
 {
        rh_submenu_to_display (menuw, menuitem);
+}
+
+static void
+mdk_menu_init_func (void)
+{
+  if (!get_mfiles_from_menudir(gnome_util_home_file(\"apps-mdk\")))
+      symlink(GNOME_DATADIR \"/gnome/distribution-menus/ALTLinux/.\",gnome_util_home_file(\"apps-mdk\"));  
 }
 

---

---

------- Comment #1 From 2004-04-29 13:02:10 -------
пакета нет